/* Toggle button */
#filter-toggle {
	position: absolute;
	top: 20px;
	left: 20px;
	z-index: 1000;

	background: #1e293b;
	color: white;

	width: 40px;
	height: 40px;

	display: flex;
	align-items: center;
	justify-content: center;

	border-radius: 10px;
	cursor: pointer;
	
	transition: left 0.2s ease;
}


#filter-toggle.shifted {
	left: 350px;
}

/* Panel */
#filter-panel {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 300px;

	background: #0f172a;
	color: white;

	padding: 16px;
	z-index: 999;

	display: flex;
	flex-direction: column;
	gap: 10px;

	transform: translateX(0);
	transition: transform 0.2s ease;
}

/* Hidden state */
#filter-panel.hidden {
	transform: translateX(-100%);
}

/* Inputs */
#filter-panel input,
#filter-panel select {
	padding: 6px;
	border-radius: 6px;
	border: none;
}

.label-condition {
	margin: 15px 0px;
}

#filtrers-div {
	display: flex;
	justify-content: space-between;
}

#reset-filters {
	padding: 0px 15px;
	height: 30px;
	margin: auto 0px;
}
